<?php
namespace Mageants\SimpleConfigurable\Controller\Adminhtml\System\Config\Import;

/**
 * Interceptor class for @see \Mageants\SimpleConfigurable\Controller\Adminhtml\System\Config\Import
 */
class Interceptor extends \Mageants\SimpleConfigurable\Controller\Adminhtml\System\Config\Import implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Magento\Backend\App\Action\Context $context, \Magento\Framework\App\Request\Http $request, \Magento\Catalog\Model\ProductRepository $productRepository, \Magento\Catalog\Model\Product\Action $productActionObject, \Magento\Framework\Controller\Result\JsonFactory $resultJsonFactory, \Magento\Framework\Filesystem\Driver\File $driverInterface)
    {
        $this->___init();
        parent::__construct($context, $request, $productRepository, $productActionObject, $resultJsonFactory, $driverInterface);
    }

    /**
     * {@inheritdoc}
     */
    public function execute()
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'execute');
        return $pluginInfo ? $this->___callPlugins('execute', func_get_args(), $pluginInfo) : parent::execute();
    }

    /**
     * {@inheritdoc}
     */
    public function dispatch(\Magento\Framework\App\RequestInterface $request)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'dispatch');
        return $pluginInfo ? $this->___callPlugins('dispatch', func_get_args(), $pluginInfo) : parent::dispatch($request);
    }
}
